#pragma once

#ifndef IMAGE_POINT_SET_HPP
#define IMAGE_POINT_SET_HPP

#include "image.hpp"
#include "vec2.hpp"

#include <vector>

std::vector<vec2> extract_point_set_from_image(const image& im);

void add_point_set_to_image(image& im,const std::vector<vec2>& v,const color& c);

// /** \brief Sauve une image dans un fichier au format ppm **/
//void save_image(const std::string& filename,const image& im);

#endif
