#pragma once

#ifndef VEC2_HPP
#define VEC2_HPP

#include <string>

struct vec2
{
    float x;
    float y;

    vec2();
    vec2(float x_arg,float y_arg);
};


std::string to_string(const vec2& v,const std::string& separator=" ");
float distance(const vec2& v0,const vec2& v1);

vec2& operator/=(vec2& v,const float s);
vec2& operator*=(vec2& v,const float s);


#endif
